# Uses of Class
org.apache.avro.hadoop.file.SortedKeyValueFile.Writer.Options

Packages that use SortedKeyValueFile.Writer.Options
Package
Description
org.apache.avro.hadoop.file

## Uses of SortedKeyValueFile.Writer.Options in org.apache.avro.hadoop.file

Methods in org.apache.avro.hadoop.file that return SortedKeyValueFile.Writer.Options
Modifier and Type
Method
Description
`SortedKeyValueFile.Writer.Options`
SortedKeyValueFile.Writer.Options.`withCodec(String codec)`
Set the compression codec.
`SortedKeyValueFile.Writer.Options`
SortedKeyValueFile.Writer.Options.`withCodec(org.apache.avro.file.CodecFactory codec)`
Set the compression codec.
`SortedKeyValueFile.Writer.Options`
SortedKeyValueFile.Writer.Options.`withConfiguration(Configuration conf)`
Sets the configuration.
`SortedKeyValueFile.Writer.Options`
SortedKeyValueFile.Writer.Options.`withDataModel(org.apache.avro.generic.GenericData model)`
Set the data model.
`SortedKeyValueFile.Writer.Options`
SortedKeyValueFile.Writer.Options.`withIndexInterval(int indexInterval)`
Sets the index interval.
`SortedKeyValueFile.Writer.Options`
SortedKeyValueFile.Writer.Options.`withKeySchema(org.apache.avro.Schema keySchema)`
Sets the key schema.
`SortedKeyValueFile.Writer.Options`
SortedKeyValueFile.Writer.Options.`withPath(Path path)`
Sets the output path.
`SortedKeyValueFile.Writer.Options`
SortedKeyValueFile.Writer.Options.`withValueSchema(org.apache.avro.Schema valueSchema)`
Sets the value schema.
Constructors in org.apache.avro.hadoop.file with parameters of type SortedKeyValueFile.Writer.Options
Modifier
Constructor
Description
``
`Writer(SortedKeyValueFile.Writer.Options options)`
Creates a writer for a new file.